@import url('https://fonts.googleapis.com/css?family=Hind');

/* *, *::before, *::after {
	box-sizing: border-box;
} */

/* html, body {
	height: 100%;
	overflow: hidden;
} */

/* body {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0;
	color: #dee2e6;
	background-color: #212529;
	font-family: 'Hind', sans-serif;
	text-transform: uppercase;
} */

.game-area {
	position: relative;
	line-height: 0;
}

.scoreWrap {
	position: relative;
	max-width: 400px;
	width: 100%;
	margin: auto;
	display: flex;
	justify-content: space-around;
}

.score {
	/* position: absolute;
	top: 10px; */
	line-height: 1;
	z-index: 2;
	color: #33ff00;
	font-weight: bold;
	text-transform: capitalize;
	text-align: center;
}

.score span {
	font-size: 21px;
	color: #FFF;
}

/* .current-score {
	left: 10px;
}

.high-score {
	text-align: right;
	right: 10px;
} */

/* .trigger {
    appearance: none;
	position: absolute;
	width: 80px;
	height: 80px;
	bottom: 10px;
    border: 0;
	border-radius: 50%;
    color: inherit;
	background-color: #e64980;
	text-align: center;
	line-height: 80px;
	font-size: 1.25rem;
    text-transform: inherit;
	cursor: pointer;
	user-select: none;
    outline: none;
	z-index: 2;
} */

.triggerWrap {
	display: flex;
	position: absolute;
	left: 0;
	right: 0;
	margin: auto;
	width: 90%;
	bottom: -31px;
	z-index: 2;
	justify-content: space-between;
	gap: 10px;
}

.trigger {
	border: 0;
	border-radius: 10px;
	background-color: #33ff00;
	text-align: center;
	font-size: 20px;
	line-height: 20px;
	padding: 10px 5px;
	width: 100%;
	cursor: pointer;
	user-select: none;
}

.left-trigger {
	left: 10px;

}

.right-trigger {
	right: 10px;

}

/* canvas {
	overflow: hidden;
	border-radius: 5px;
	box-shadow: 0 5px 25px rgba(0, 0, 0, 0.75);
} */

/* responsive scaling, because pinball tables are tall */
@media (min-height: 0px) {
	/* .game-area { transform: scale(0.25); } */
}

@media (min-height: 400px) {
	/* .game-area { transform: scale(0.5); } */
}

@media (min-height: 600px) {
	/* .game-area { transform: scale(0.75); } */
}

@media (min-height: 800px) {
	/* .game-area { transform: scale(1); } */
}

/* Overflow stuff */
.game-cover {
	z-index: 2;
	position: absolute;
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	display: flex;
}

.game-cover-elements {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.countdown-text {
	position: absolute;
	text-align: center;
	color: #ffffff;
	font-size: 100px;
	border-radius: 20px;
	background-color: #191937;
	max-height: 640px;
	height: 100%;
	width: 100%;
	top: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.countdown-text-small {
	font-size: 21px !important;
	padding: 30px;
}

.countdown-text-small a {
	background-color: #33ff00;
	font-size: 18px;
	font-weight: bold;
		color: #000033;
	padding: 5px 20px;
	border-radius: 10px;
	text-decoration: none;
}

.countdown-text-small a:hover {
	background-color: #ff3399;
	color: #FFF;
	cursor: pointer;
}

.start-game-button {
	background-color: #33ff00;
	font-size: 18px;
	font-weight: bold;
	color: #000033;
	padding: 5px 20px;
	border-radius: 100%;
	height: 100px;
	width: 100px;
	z-index: 2;
}

.start-game-button:hover {
	background-color: #ff3399;
	color: #FFF;
	cursor: pointer;
}